Bug 383381 - Getting the feed URL from a youtube channel no longer works
Summary: Getting the feed URL from a youtube channel no longer works
Status: RESOLVED FIXED
Alias: None
Product: akregator
Classification: Applications
Component: feed parser (show other bugs)
Version: 5.5.3
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-08-10 20:23 UTC by Nicolas F.
Modified: 2019-11-19 19:08 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.65.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nicolas F. 2017-08-10 20:23:49 UTC
When given a regular web page URL, akregator will fetch the RSS/atom feed url from it based on its headers. However, on YouTube, this no longer works, because YouTube believes that Akregator is a mobile client and redirects it to m.youtube.com, which in turn confuses Akregator and makes it unable to add the feed url.

Searching the feed url in the webpage source and adding that manually works as a workaround.

Example URL: https://www.youtube.com/user/bigclivedotcom/videos
Akregator will try to add the feed https://m.youtube.com/user/bigclivedotcom/videos
Akregator should add the feed https://www.youtube.com/feeds/videos.xml?channel_id=UCtM5z2gkrGRuWd0JQMx76qA
Comment 1 Laurent Montel 2019-11-16 19:36:00 UTC
I confirm it
Comment 2 Laurent Montel 2019-11-19 13:01:42 UTC
Git commit dda15b0aaddec01e31f862ba486a4e2876ab8eb8 by Laurent Montel.
Committed on 19/11/2019 at 12:46.
Pushed by mlaurent into branch 'master'.

Extract code so we can fix parsing code

M  +1    -0    src/CMakeLists.txt
M  +10   -67   src/loader.cpp
A  +91   -0    src/loaderutil.cpp     [License: LGPL (v2+)]
A  +33   -0    src/loaderutil_p.h     [License: LGPL (v2+)]

https://commits.kde.org/syndication/dda15b0aaddec01e31f862ba486a4e2876ab8eb8
Comment 3 Laurent Montel 2019-11-19 19:08:20 UTC
Git commit 2bbf3fa96c4458694593659c97ba2aafa8e45230 by Laurent Montel.
Committed on 19/11/2019 at 19:07.
Pushed by mlaurent into branch 'master'.

Fix Bug 383381 - Getting the feed URL from a youtube channel no longer works
FIXED-IN: 5.65.0

M  +1    -1    autotests/loaderutiltest.cpp
M  +45   -25   src/loaderutil.cpp

https://commits.kde.org/syndication/2bbf3fa96c4458694593659c97ba2aafa8e45230